DIFF(1)

NAVN
diff - sammenlikn FILER linje for linje

OVERSIKT
diff [OPTION]... FILES

BESKRIVELSE
Sammenlikn FILER linje for linje.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

--normal
    Skriv ut en normal diff (dette er standard).

-q, --brief
    Bare rapporter når filer er ulike.

-s, --report-identical-files
    Rapporter når to filer er like.

-c, -C NUM, --context[=NUM]
    Skriv ut valgt ANTall linjer med kopiert kontekst (standard: 3).

-u, -U NUM, --unified[=NUM]
    Skriv ut valgt ANTall linjer med sammenslått kontekst (standard: 3).

-e, --ed
    Skriv ut et ed(1)-skript.

-n, --rcs
    Skriv ut diff i RCS-format.

-y, --side-by-side
    Skriv ut i to kolonner.

-W, --width=NUM
    Ikke skriv ut flere enn valgt ANTALL kolonner (standard: 130).

--left-column
    Bare skriv ut venstre kolonne med felles linjer.

--suppress-common-lines
    Ikke skriv ut felles linjer.

-p, --show-c-function
    Vis hvilken C-funksjon hver endring ligger i.

-F, --show-function-line=RE
    Vis nyeste linje som samsvarer med RE.

--label ETIKETT
    Bruk valgt ETIKETT i stedet for filnavn og tidsstempel (dette kan gjentas)

-t, --expand-tabs
    Utvid tabulatorer til mellomrom i utdata.

-T, --initial-tab
    Still opp tabulatorer på rekke ved å legge til en ekstra tab foran.

--tabsize=NUM
    Tabulatorer stopper for hvert valgte utskriftskolonne-NUMMER (standard: 8).

--suppress-blank-empty
    Ikke skriv ut mellomrom eller tabulator før tomme linjer.

-l, --paginate
    Del utdata i sider via pr(1).

-r, --recursive
    Sammenlikn evt. undermapper rekursivt.

--no-dereference
    Ikke følg symbolske lenker.

-N, --new-file
    Behandle fraværende filer som tomme.

--unidirectional-new-file
    Behandle fraværende førstefil som tom.

--ignore-file-name-case
    Skill mellom store og små bokstaver ved sammenlikning av filnavn.

--no-ignore-file-name-case
    Skill mellom store og små bokstaver ved sammenlikning av filnavn.

-x, --exclude=PAT
    Utelat filer som samsvarer med valgt MØNSTER.

-X, --exclude-from=FIL
    Utelat filer som samsvarer med mønster(e) i valgt FIL.

-S, --starting-file=FILE
    Begynn med valgt FIL ved sammenlikning av mapper.

--from-file=FILE1
    Sammenlikn FIL1 med alle operand-er (FIL1 kan være en mappe).

--to-file=FILE2
    Sammenlikn alle operand-er med FIL2 (FIL2 kan være en mappe).

-i, --ignore-case
    Ikke skill mellom små og store bokstaver i fil-innhold.

-E, --ignore-tab-expansion
    Ikke regn tabulator-forskjeller som endringer.

-Z, --ignore-trailing-space
    Ignorer blanktegn i slutten av linjer.

-b, --ignore-space-change
    Ikke regn ulikt antall blanktegn som endringer.

-w, --ignore-all-space
    Ignorer alle blanktegn.

-B, --ignore-blank-lines
    Ignorer endringer når alle linjer er tomme.

-I, --ignore-matching-lines=RE
    Ignorer endringer når alle linjer samsvarer med RE.

-a, --text
    Behandle filer som tekst.

--strip-trailing-cr
    Fjern etterfølgende linjeskift-tegn fra inndata.

-D, --ifdef=NAME
    Skriv ut sammenslått fil med ulikheter i «#ifdef NAVN».

--GTYPE-group-format=GFMT
    Formater GTYPE-inndatagrupper med GFMT.

--line-format=LFMT
    Formater inndatalinjer med LFMT.

--LTYPE-line-format=LFMT
    Formater LTYPE-inndatalinjer med LFMT.

    Disse formatvalgene gjør det mulig å detaljstyre utdata

    fra diff, og generaliserer -D/--ifdef.

LTYPE er enten «old», «new» eller «unchanged».
    GTYPE er enten LTYPE eller «changed».

    GFMT (alene) kan inneholde følgende:

%<  linjer fra FIL1

%>  linjer fra FIL2

%=  linjer som finnes i både FIL1 og FIL2

%[-][BREDDE][.[PREC]]{doxX}BOKST
    spesifikasjon av BOKSTav i printf-stil

    BOKSTaver kan være som følger for ny gruppe (bruk små bokstaver for gammel gruppe):

F   første linjenummer

L   siste linjenummer

N   antall linjer = L-F+1

E   F-1

M   L+1

%(A=B?T:E)
    hvis A er lik B, så T eller E

    LFMT (alene) kan inneholde følgende:

%L  linjeinnhold

%l  linjeinnhold, unntatt evt. etterfølgende linjeskift

%[-][BREDDE][.[PREC]]{doxX}n
    spesifikasjon av inndata-linjenummer i printf-stil

    Både GFMT og LFMT kan inneholde følgende:

%%  %

%c'C'
    enkelttegnet C

%c'\OOO'
    tegnet med oktalkode OOO

C   tegnet C (andre tegn representerer seg selv)

-d, --minimal
    Prøv hardt å finne en mindre rekke endringer.

--horizon-lines=NUM
    Behold valgt ANTALL linjer av felles pre- og suffiks.

--speed-large-files
    Forvent store filer og små, spredte endringer.

--color[=NÅR]
    Fargelegg utdata. NÅR er «never» (aldri), «always» eller «auto»; kun --color betyr --color=«auto».

--palette=PALETTE
    Farger som skal brukes når --color er valgt. PALETT er en kolon-delt liste over terminfo(5)-muligheter.

--help
    Vis denne hjelpeteksten og avslutt.

-v, --version
    Vis versjonsinformasjon og avslutt.

FILER er «FIL1 FIL2», «MAPPE1 MAPPE2», «MAPPE FIL» eller «FIL MAPPE». Programmet bruker ingen restriksjoner på FIL(er) hvis --from-file eller --to-file er valgt. Programmet leser fra standard inndata hvis FIL er «-». Avsluttende status er 0 hvis inndata er like, 1 hvis ulike og 2 hvis det oppstår problemer.

FORFATTER
Skrevet av Paul Eggert, Mike Haertel, David Hayes, Richard Stallman og Len Tower.

RAPPORTERING AV FEIL
Rapporter programfeil til: <bug-diffutils@gnu.org>; rapporter oversettelsesfeil til: <l10n-no@lister.huftis.org>.
Nettside for GNU diffutils: <https://www.gnu.org/software/diffutils/>
Generell hjelp til bruk av GNU-programvare: <https://www.gnu.org/gethelp/>

OPPHAVSRETT
Copyright © 2025 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
wdiff(1), cmp(1), diff3(1), sdiff(1), patch(1)

Den fullstendige dokumentasjonen for diff opprettholdes som en Texinfo manual. Dersom info og diff programmene er riktig installert på ditt sted burde kommandoen

    info diff

gi deg tilgang til hele manualen.

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.